set terminal png
set title "Distribution des distances"
set xlabel 'Distance'
set ylabel 'p(Distance) échelle log'
set output 'distance_distribution.png'

set logscale xy

stats 'distance_distribution.dat' using 2
min_y = 10**floor(log10(STATS_min))
max_y = 10**ceil(log10(STATS_max))
set yrange [min_y:max_y]

plot 'distance_distribution.dat' title 'Distribution', \
     'distance_distribution.dat' using 1:2 smooth csplines title 'Distribution (courbe)'
